Bug 18035 - Front-end changes to serials -> Numbering patterns
Summary: Front-end changes to serials -> Numbering patterns
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 03:43 UTC by Aleisha Amohia
Modified: 2017-05-14 10:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18035: Front-end changes to serials -> Claims (3.61 KB, patch)
2017-02-02 03:47 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18035: Front-end changes to serials -> numbering patterns (3.62 KB, patch)
2017-03-30 00:31 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18035: Front-end changes to serials -> numbering patterns (3.79 KB, patch)
2017-03-30 07:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18035: Front-end changes to serials -> numbering patterns (3.85 KB, patch)
2017-05-02 10:32 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-02 03:43:43 UTC
Some small enhancements for the user experience
- datatable
- use of breadcrumbs for adding/modifying form
- bootstrap 3 buttons on adding/modifying form
Comment 1 Aleisha Amohia 2017-02-02 03:47:53 UTC
Created attachment 59763 [details] [review]
Bug 18035: Front-end changes to serials -> Claims

This patch:
1) Uses datatables functionality on numbering patterns table
2) Shows breadcrumbs when using the form to add or modify numbering
patterns
3) Updates the Save, Reset, and Test Pattern buttons in the form to be
bootstrap 3 buttons

To test:
1) Confirm that datatable sorting works on all columns EXCEPT Actions
column
2) Click 'New numbering pattern'
3) Confirm breadcrumbs reads 'New numbering pattern'
4) Go back to numbering patterns and Edit an existing one
5) Confirm breadcrumbs reads 'Modifying number pattern '<name of
numbering pattern>'
6) Confirm Save, Reset and Test pattern buttons now show as bootstrap3
buttons
7) Confirm all buttons work as expected

Sponsored-by: Catalyst IT
Comment 2 julien.comte 2017-03-21 11:26:07 UTC
7) Reset button doens't work: nothing happens.
Comment 3 Aleisha Amohia 2017-03-28 04:03:40 UTC
(In reply to julien.comte from comment #2)
> 7) Reset button doens't work: nothing happens.

Reset button works perfectly for me. The button is meant to reset any changes you make to the last saved version of the numbering pattern, so it'll look like nothing happens unless you change something such as the Name of the pattern.
Comment 4 Marc Véron 2017-03-29 13:27:30 UTC
Does bug title fit?  - "Front-end changes to serials -> Claims"
Bug seems to be related to numbering patterns :-)
Comment 5 Aleisha Amohia 2017-03-29 23:32:58 UTC
(In reply to Marc Véron from comment #4)
> Does bug title fit?  - "Front-end changes to serials -> Claims"
> Bug seems to be related to numbering patterns :-)

You're right! I'll change this.
Comment 6 Aleisha Amohia 2017-03-30 00:31:17 UTC
Created attachment 61722 [details] [review]
Bug 18035: Front-end changes to serials -> numbering patterns

This patch:
1) Uses datatables functionality on numbering patterns table
2) Shows breadcrumbs when using the form to add or modify numbering
patterns
3) Updates the Save, Reset, and Test Pattern buttons in the form to be
bootstrap 3 buttons

To test:
1) Confirm that datatable sorting works on all columns EXCEPT Actions
column
2) Click 'New numbering pattern'
3) Confirm breadcrumbs reads 'New numbering pattern'
4) Go back to numbering patterns and Edit an existing one
5) Confirm breadcrumbs reads 'Modifying number pattern '<name of
numbering pattern>'
6) Confirm Save, Reset and Test pattern buttons now show as bootstrap3
buttons
7) Confirm all buttons work as expected

Sponsored-by: Catalyst IT
Comment 7 Marc Véron 2017-03-30 07:12:12 UTC
Comment on attachment 59763 [details] [review]
Bug 18035: Front-end changes to serials -> Claims

Obsoleting first patch (with wrong title).
Comment 8 Marc Véron 2017-03-30 07:43:30 UTC
Created attachment 61731 [details] [review]
Bug 18035: Front-end changes to serials -> numbering patterns

This patch:
1) Uses datatables functionality on numbering patterns table
2) Shows breadcrumbs when using the form to add or modify numbering
patterns
3) Updates the Save, Reset, and Test Pattern buttons in the form to be
bootstrap 3 buttons

To test:
1) Confirm that datatable sorting works on all columns EXCEPT Actions
column
2) Click 'New numbering pattern'
3) Confirm breadcrumbs reads 'New numbering pattern'
4) Go back to numbering patterns and Edit an existing one
5) Confirm breadcrumbs reads 'Modifying number pattern '<name of
numbering pattern>'
6) Confirm Save, Reset and Test pattern buttons now show as bootstrap3
buttons
7) Confirm all buttons work as expected

Sponsored-by: Catalyst IT

Followed test plan works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 9 Nick Clemens 2017-05-02 10:32:01 UTC
Created attachment 62949 [details] [review]
Bug 18035: Front-end changes to serials -> numbering patterns

This patch:
1) Uses datatables functionality on numbering patterns table
2) Shows breadcrumbs when using the form to add or modify numbering
patterns
3) Updates the Save, Reset, and Test Pattern buttons in the form to be
bootstrap 3 buttons

To test:
1) Confirm that datatable sorting works on all columns EXCEPT Actions
column
2) Click 'New numbering pattern'
3) Confirm breadcrumbs reads 'New numbering pattern'
4) Go back to numbering patterns and Edit an existing one
5) Confirm breadcrumbs reads 'Modifying number pattern '<name of
numbering pattern>'
6) Confirm Save, Reset and Test pattern buttons now show as bootstrap3
buttons
7) Confirm all buttons work as expected

Sponsored-by: Catalyst IT

Followed test plan works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Kyle M Hall 2017-05-12 14:27:50 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 11 Katrin Fischer 2017-05-14 10:19:18 UTC
This won't get ported back to 16.11.x as it is an enhancement.